<?php declare(strict_types=1);

$values = nsParseCommonRequirements();

if (!($_POST['priority'] >= 0 AND $_POST['priority'] <= 65535))
	output(403, 'Wrong value for <code>priority</code>.');

if (!($_POST['weight'] >= 0 AND $_POST['weight'] <= 65535))
	output(403, 'Wrong value for <code>weight</code>.');

if (!($_POST['port'] >= 0 AND $_POST['port'] <= 65535))
	output(403, 'Wrong value for <code>port</code>.');

$_POST['target'] = formatAbsoluteDomain($_POST['target']);

rateLimit();

knotcZoneExec($_POST['zone'], [
	$values['domain'],
	$values['ttl'],
	'SRV',
	$_POST['priority'],
	$_POST['weight'],
	$_POST['port'],
	$_POST['target']
]);

output(200, _('Modification done.'));
