<?php declare(strict_types=1);
require __DIR__ . '/../init.php';

foreach (query('select', 'ns-syncs', columns: ['source', 'destination']) as ['source' => $source, 'destination' => $destination])
	try {
		nsSync($source, $destination);
	} catch (KdigException | NoDnssecException $e) {
		fwrite(STDERR, $e->getMessage() . LF);
	};
