<?php declare(strict_types=1); ?>
<p>
	<?= sprintf(_('The subdomain can only contain %1$s, %2$s and %3$s, and must be between 4 and 63 characters. It can\'t have an hyphen (%3$s) in first, last or both third and fourth position.'), '<abbr title="abcdefghijklmnopqrstuvwxyz"><code>a</code>-<code>z</code></abbr>',  '<abbr title="0123456789"><code>0</code>-<code>9</code></abbr>', '<code>-</code>') ?>
</p>

<form method="post">
	<label for="subdomain"><?= _('Subdomain') ?></label><br>
	<input required="" placeholder="label" id="subdomain" name="subdomain" type="text"><code>.<?= CONF['ht']['subdomain_domain'] ?></code><br>
	<label for="dir"><?= _('Target directory') ?></label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">—</option>
<?php
foreach (dirsStatuses('subdomain') as $dir => $alreadyEnabled)
	echo '		<option' . ($alreadyEnabled ? ' disabled=""' : '') . ' value="' . $dir . '">' . $dir . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="<?= _('Setup access') ?>">
</form>
