<?php declare(strict_types=1); ?>
<nav>
	<p>
		<span aria-hidden="true">➡️ </span><em><a href="<?= CONF['common']['about_url'] ?>"><?= _('About this installation') ?></a></em>
	</p>
	<dl>
<?php

foreach (CONF['common']['services'] as $service => $status) {
	if ($status === 'disabled')
		continue;
?>
		<?= ($status === 'error') ? '<s>' : '' ?>
			<dt><a class="<?= $service ?>" href="<?= $service ?>/"><?= PAGES[$service]['index']['title'] ?></a></dt>
			<dd>
				<?= PAGES[$service]['index']['description'] ?>
			</dd>
		<?= ($status === 'error') ? '</s>' : '' ?>
<?php } ?>
	</dl>
</nav>
